Package org.eclipse.microprofile.rest.client.tck.sse

# Class MyEventSourceServlet

java.lang.Object
jakarta.servlet.GenericServlet
jakarta.servlet.http.HttpServlet
org.eclipse.jetty.servlets.EventSourceServlet
org.eclipse.microprofile.rest.client.tck.sse.MyEventSourceServlet

All Implemented Interfaces:
  `jakarta.servlet.Servlet`, `jakarta.servlet.ServletConfig`, `Serializable`

public class MyEventSourceServlet extends org.eclipse.jetty.servlets.EventSourceServlet

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.jetty.servlets.EventSourceServlet

`org.eclipse.jetty.servlets.EventSourceServlet.EventSourceEmitter`

## Field Summary

### Fields inherited from class jakarta.servlet.http.HttpServlet

`LEGACY_DO_HEAD`

## Method Summary

Modifier and Type
Method
Description
`void`
`destroy()`
`protected org.eclipse.jetty.servlets.EventSource`
`newEventSource(jakarta.servlet.http.HttpServletRequest request)`

### Methods inherited from class org.eclipse.jetty.servlets.EventSourceServlet

`doGet, init, open, respond`

### Methods inherited from class jakarta.servlet.http.HttpServlet

`doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, init, service, service`

### Methods inherited from class jakarta.servlet.GenericServlet

`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### newEventSource

protected org.eclipse.jetty.servlets.EventSource newEventSource(jakarta.servlet.http.HttpServletRequest request)

Specified by:
  `newEventSource` in class `org.eclipse.jetty.servlets.EventSourceServlet`

### destroy

public void destroy()

Specified by:
  `destroy` in interface `jakarta.servlet.Servlet`
Overrides:
  `destroy` in class `org.eclipse.jetty.servlets.EventSourceServlet`